7314 Beta and Active Sync
Problem reported by John Marx - 1/10/2020 at 5:00 PM
Submitted
After installing SmarterMail_7314 are Active Sync stopped working. Same as version SmarterMail_7303.

Thankfully SmarterMail_7301 works so we are now back to this version.

3 Replies

Reply to Thread
0
Matt Petty Replied
Employee Post
If you downgrade there could be some corruption of some of the cfg files. SM should be able to handle this and reconstruct them but there are chances users could lose their message flags on emails. This could also cause some clients to resync.

Just a heads up. Also if you have your system settings.json for your server @ Program Files (x86)/SmarterTools/SmarterMail/Service/Settings
A Domain's settings.json file
A User from that domain, their settings.json
From the day this issue occurred with EAS, you can use our backups in each of the Archived Data folders or your own backups. If I can get these files I can try to figure out why EAS may not have worked. As far as the downgrade issues above, if need be you can attempt to upgrade again if you notice problems but keep in mind downgrading itself may have introduced issues.



NOTE: If you upgrade an existing installation to a BETA Build, you CAN NOT downgrade back to a previous version due to the extensive file system changes that were made. 
-https://portal.smartertools.com/community/a92689/production-ready-smartermail-beta-now-available.aspx 
Matt Petty
Software Developer
SmarterTools Inc.
(877) 357-6278
www.smartertools.com
0
John Marx Replied
Looking it looks like EVERY USER had EAS active. Being we only have a 25 user license (20 used) activating for hundreds is not good. So really WHY if we have EWS/MAPI why can't EAS as unlimited as well? This way users, no matter WHAT their client, can connect? Seems logical to me.
2
echoDreamz Replied
Because EAS is a licensed protocol by Microsoft. EWS and MAPI are not.

Reply to Thread